#!/usr/bin/env python3
# Author(s): Saara Saaninkoski and Jukka Lipsanen
# Copyright 2019 Finnish Social Science Data Archive FSD / University of Tampere
# Licensed under the EUPL. See LICENCE.txt for full license.

from setuptools import setup, find_packages

setup(
    name='kvalikirstu2',
    version='1.0.9',
    url='',
    description='A tool for analyzing qualitative studies',
    author='Jukka Lipsanen and Saara Saaninkoski',
    packages=find_packages(),
    install_requires=[
        'chardet',
        'ConfigArgParse',
        'Jinja2',
        'jsonpickle',
        'odfpy',
        'wxPython;platform_system=="Windows"',
        'pypubsub',
        'natsort'
        ],
    tests_require=['pytest'],
    setup_requires=['Babel'],
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'python-kvalikirstu2-gui = kvalikirstu2.gui:main',
            'python-kvalikirstu2-cli = kvalikirstu2.main:main'
        ]
    }
)
