import logging
import unittest
from kvalikirstu2 import argument_parser


class TestWarningHandler(unittest.TestCase):
    def setUp(self):
        settings = argument_parser.Settings()
        settings.set_up_gui_settings([])
        self.logger = logging.getLogger('kvalikirstu2.testlogger')

    @unittest.mock.patch('wx.MessageBox')
    def test_logger_opens_warning_message(self, mock):
        self.logger.warning('test')
        self.assertTrue(mock.called)

    @unittest.mock.patch('wx.MessageBox')
    def test_logger_opens_error_message(self, mock):
        self.logger.error('test')
        self.assertFalse(mock.called)

    @unittest.mock.patch('wx.MessageBox')
    def test_info(self, mock):
        self.logger.info('test')
        self.assertFalse(mock.called)

    @unittest.mock.patch('wx.MessageBox')
    def test_debug(self, mock):
        self.logger.info('test')
        self.assertFalse(mock.called)
